# Poco

# class OpcomChannel

Library: Foundation
Package: Logging
Header: Poco/OpcomChannel.h

## Description

A OpenVMS-only channel that uses the OpenVMS OPCOM service.

## Inheritance

Direct Base Classes: Channel

All Base Classes: Channel, Configurable, RefCountedObject

## Member Summary

Member Functions: getProperty, log, setProperty

Inherited Functions: close, duplicate, getProperty, log, open, referenceCount, release, setProperty

## Constructors

### OpcomChannel

OpcomChannel();

Creates an OpcomChannel that uses the OPC$M_NM_CENTRL target.

### OpcomChannel

OpcomChannel(
int target
);

Creates an OpcomChannel that uses the given target. Specify one of the OPC$M_NM_* values. See also setProperty().

## Destructor

### ~OpcomChannel

~OpcomChannel();

## Member Functions

### getProperty

std::string getProperty(
const std::string & name
) const;

Returns the value of the property with the given name. See setProperty() for a description of the supported properties.

See also: Poco::Channel::getProperty()

### log

void log(
const Message & msg
);

Logs the given message using the OpenVMS OPCOM service.

See also: Poco::Channel::log()

### setProperty

void setProperty(
const std::string & name,
const std::string & value
);

Sets the property with the given name.

The only supported property is "target", which must be set to one of the following values:

- CARDS: Card device operator
- CENTRL: Central operator
- SECURITY: Security operator
- CLUSTER: OpenVMS Cluster operator
- DEVICE: Device status information
- DISKS: Disks operator
- NTWORK: Network operator
- TAPES: Tapes operator
- PRINT: Printer operator
- OPER1 ..
- OPER12: System-manager-defined operator functions

See also: Poco::Channel::setProperty()

## Variables

### PROP_TARGET

static const std::string PROP_TARGET;